Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MultipleSetterProperty

- org.codehaus.groovy.runtime.metaclass.MultipleSetterProperty

- This class represents a property with multiple setters. Unlike a MetaBeanProperty you cannot get the setter in this case. Instead invocation is done through the meta class of the property recevier.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultipleSetterProperty (String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MetaProperty` | `createStaticVersion()`
    `` | `CachedField` | `getField()`
    `` | `MetaMethod` | `getGetter()`
    `` | `Object` | `getProperty(Object object)`
    `` | `void` | `setField(CachedField f)`
    `` | `void` | `setGetter(MetaMethod getter)`
    `` | `void` | `setProperty(Object object, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public MultipleSetterProperty(String name)

  - ### Method Detail

    - #### public MetaProperty createStaticVersion()

    - #### public CachedField getField()

    - #### public MetaMethod getGetter()

    - #### @Override public Object getProperty(Object object)

    - #### public void setField(CachedField f)

    - #### public void setGetter(MetaMethod getter)

    - #### @Override public void setProperty(Object object, Object newValue)